Get a subscription purchase
GET
/subscription_purchases/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredResponses
200Subscription purchase entity
_linksHalLinksidintegershop_idintegercontact_idintegeroriginal_order_idintegerproduct_idintegerproduct_namestringstatestringcurrency_codestringtotal_renewal_feeintegerIn cents
payment_intervalstringtotal_paymentsintegerremaining_paymentsintegerfailed_attemptsintegerlast_payment_onstring<date>next_payment_onstring<date>start_datestring<date>end_datestring<date> | nullcancel_atstring<date> | nullsubscription_fee_idintegerrenewal_discountnumberdiscount_num_chargesintegerpayments_to_skipintegerpaused_bystringpaid_setup_feebooleanunitsintegercreated_onstring<date-time>updated_onstring<date-time>404Not found
Request
curl -X GET "https://api.onbolder.com/v2/subscription_purchases/0" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/subscription_purchases/0", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/subscription_purchases/0",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": 0,
"shop_id": 0,
"contact_id": 0,
"original_order_id": 0,
"product_id": 0,
"product_name": "string",
"state": "string",
"currency_code": "string",
"total_renewal_fee": 0,
"payment_interval": "string",
"total_payments": 0,
"remaining_payments": 0,
"failed_attempts": 0,
"last_payment_on": "2019-08-24",
"next_payment_on": "2019-08-24",
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"cancel_at": "2019-08-24",
"subscription_fee_id": 0,
"renewal_discount": 0,
"discount_num_charges": 0,
"payments_to_skip": 0,
"paused_by": "string",
"paid_setup_fee": true,
"units": 0,
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z"
}Not found